# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'multi_index/version'

Gem::Specification.new do |spec|
  spec.name          = "multi_index"
  spec.version       = MultiIndex::VERSION
  spec.authors       = 'Nayyara Samuel'
  spec.email         = ['nayyara.samuel@gmail.com']
  spec.summary       = 'Read a multi-index configuration and return the desired configuration format'
  spec.description   = 'Use this gem to generate or update configurations'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib', 'lib/multi_index']

  spec.add_development_dependency 'bundler', '~> 1.5'
  spec.add_development_dependency 'rake'

  spec.add_dependency 'google_drive', '~> 0.3.7'
  spec.add_dependency 'thor'
  spec.add_dependency 'preconditions'
  spec.add_dependency 'logging_factory'
  spec.add_dependency 'colorize'
  spec.add_dependency 'encryptor'
  spec.add_dependency 'prettify'
end
